Subject: [bug#38670] [PATCH] Fix audio/video in icecat

From: Julien Lepiller <[email-masked]>
Date: Sun, 22 Dec 2019 11:00:24 +0100

Le Sat, 21 Dec 2019 23:52:08 -0500,
Mark H Weaver <[email-masked]> a écrit :

> Hi Julien,
> 
> Thanks very much for investigating and producing a working fix for
> this issue!  It is a great relief to remove this item from my TODO
> list :)
> 
> I have a few minor nits, and am currently testing a slight variant of
> your proposed patch, attached below.  I made the following changes:
> 
> * I added a new phase instead of augmenting the existing
>   'link-libxul-with-libraries' phase, since the name of the existing
>   phase doesn't match what's being done here.
> 
> * I leave the numeric suffixes (version number) of the shared library
>   names unchanged, instead of stripping them as you did.
> 
> * I used "\\." in the regexp to strictly match that character.
> 
> * I moved the rationale comment from the commit log into the code.
> 
> What do you think?

Looks very good! Can you push it, or should I do it?

>    Thanks again!
>        Mark